
.btn {
	color: $purple-100;
	outline: none;
	cursor: pointer;
	font-weight: 500;
	font-size: font-size-rel(14px);
	line-height: font-size-rel(20px);
	font-family: $font-family-head;
	padding: 8px 30px;
	user-select: none;
	text-align: center;
	white-space: nowrap;
	position: relative;
	text-decoration: none;
	display: inline-block;
	vertical-align: middle;
	background: transparent;
	border-radius: 19px;
	border: 1px solid $purple-100;
	
	svg {
		stroke: $purple-100;
	}

	i {
		top: calc(50% - 12px);
		width: 24px;
		height: 24px;
		font-size: 0;
		line-height: 0;
		position: absolute;
		display: inline-block;
	}

	span {
		display: inline-block;
	}

	&:hover {
		color: $white;
		background: $purple-100;
		text-decoration: none;
		
		svg {
			stroke: $white;
		}

	}

	&:active {
		color: $white;
		background: $purple-200;
		border-color: $purple-200;
	}

	&:focus,
	&.focus {
		outline: 0;
	}

	&:disabled {
		cursor: default;
		color:  $gray-300 !important;
		border-color: $gray-300 !important;

		&.active,
		&:focus,
		&:hover {
			background: $white;
			color:  $gray-300 !important;
			border-color: $gray-300 !important;
		}
	}

	@media (min-width: $screen-sm-min) {
		padding: 12px 40px;
		border-radius: 24px;
		border-width: 2px;
		font-size: font-size-rel(16px);

		i {
			right: 40px;
		}
	}
}


.btn-icon {
	padding: 8px 50px 8px 20px;

	i {
		right: 20px;
	}

	@media (min-width: $screen-sm-min) {
		padding-right: 70px;

		i {
			right: 40px;
		}

		&.btn-lg {
			padding-right: 75px;
		}
	}
}

.btn-sm {
	padding: 4px 20px;
	border-radius: 15px;

	@media (min-width: $screen-sm-min) {
		padding: 7px 24px;
		border-radius: 19px;
		font-size: font-size-rel(16px);
	}
}

.btn-md {

	@media (min-width: $screen-sm-min) {
		padding: 10px 50px;
		border-radius: 27px;
	}
}

.btn-lg {

	@media (min-width: $screen-sm-min) {
		padding: 15px 50px;
		border-radius: 27px;

		i {
			right: 45px;
		}
	}
}

.btn-cyan {
	color: $black;
	font-weight: 600;
	background: $cyan;
	border-color: $cyan;

	svg {
		color: $black;
	}

	&:hover {
		color: $white;
		background: $purple-100;
		border-color: $purple-100;
		text-decoration: none;

		svg {
			fill: $white;
		}
	}

	&:active {
		color: $white;
		background: $purple-200;
		border-color: $purple-200;
	}
}

.btn-purple {
	color: $white;
	font-weight: 600;
	background: $purple-100;
	border-color: $purple-100;

	svg {
		color: $white;
	}

	&:hover {
		color: $white;
		background: $purple-200;
		border-color: $purple-200;
		text-decoration: none;

		svg {
			fill: $white;
		}
	}

	&:active {
		color: $white;
		background: $purple-100;
		border-color: $purple-100;
	}
}

.btn-add {
	padding: 5px 12px;
	border-radius: 16px;

	&:hover {

		&:after,
		&:before {
			background: $white;
		}
	}

	@media (min-width: $screen-sm-min) {
		padding: 4px 34px 4px 20px;
		border-radius: 16px;
		font-size: font-size-rel(14px);

		&:after,
		&:before {
			right: 20px;
			top: calc(50% - 1px);
			z-index: 1;
			content: '';
			width: 10px;
			height: 2px;
			font-size: 0;
			line-height: 0;
			border-radius: 2px;
			position: absolute;
			background: $purple-100;
		}

		&:after {
			transform: rotate(90deg);
		}
	}
}

.btn-plus {
	position: relative;
	padding: 8px 30px 8px 50px;

	&:after,
	&:before {
		left: 25px;
		top: calc(50% - 1px);
		z-index: 1;
		content: '';
		width: 12px;
		height: 2px;
		font-size: 0;
		line-height: 0;
		border-radius: 2px;
		position: absolute;
		background: $purple-100;
	}

	&:after {
		transform: rotate(90deg);
	}

	&:hover {

		&:after,
		&:before {
			background: $white;
		}
	}


	@media (min-width: $screen-sm-min) {
		padding: 7px 30px 7px 50px;
	}
}

.btn-med {
	min-width: 210px;
}

.btn-reset {
	color: $black;
	border-color: $black;
	position: relative;
	border-width: 1px;
	font-size: font-size-rel(12px);
	line-height: font-size-rel(16px);
	padding: 5px 16px 5px 45px;

	&:after,
	&:before {
		left: 20px;
		top: calc(50%);
		z-index: 1;
		content: '';
		width: 12px;
		height: 1px;
		font-size: 0;
		line-height: 0;
		border-radius: 2px;
		position: absolute;
		background: $black;
	}

	&:before {
		transform: rotate(-45deg)
	}

	&:after {
		transform: rotate(45deg);
	}

	&:hover {
		color: $white;
		background: $black;

		&:after,
		&:before {
			background: $white;
		}
	}


	@media (min-width: $screen-sm-min) {
		border-width: 1px;
		font-size: font-size-rel(12px);
		line-height: font-size-rel(16px);
		padding: 5px 16px 5px 45px;
	}
}

.btn-block {
	width: 100%;
	display: block;
}

.btn-long {
	width: 100%;
	max-width: 340px;
}